Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class IndexSummary

    java.lang.Object
      org.apache.cassandra.io.IndexSummary

    public class IndexSummary

extends java.lang.Object

Nested Class Summary
`static class` | `IndexSummary.KeyPosition` This is a simple container for the index Key and its corresponding position in the index file.

Constructor Summary
`IndexSummary()`

Method Summary
`void` | `complete()`
`java.util.List<IndexSummary.KeyPosition>` | `getIndexPositions()`
`long` | `getLastIndexPosition()`
`SSTable.PositionSize` | `getSpannedDataPosition(IndexSummary.KeyPosition sampledPosition)`
`SSTable.PositionSize` | `getSpannedDataPosition(long nextIndexPosition)`
`java.util.Map<IndexSummary.KeyPosition,SSTable.PositionSize>` | `getSpannedIndexDataPositions()`
`IndexSummary.KeyPosition` | `getSpannedIndexPosition(long nextIndexPosition)`
`void` | `maybeAddEntry(DecoratedKey decoratedKey, long dataPosition, long rowSize, long indexPosition, long nextIndexPosition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexSummary

    public IndexSummary()

Method Detail

### maybeAddEntry

    public void maybeAddEntry(DecoratedKey decoratedKey,
                              long dataPosition,
                              long rowSize,
                              long indexPosition,
                              long nextIndexPosition)

### getSpannedIndexDataPositions

    public java.util.Map<IndexSummary.KeyPosition,SSTable.PositionSize> getSpannedIndexDataPositions()

### getIndexPositions

    public java.util.List<IndexSummary.KeyPosition> getIndexPositions()

### complete

    public void complete()

### getSpannedDataPosition

    public SSTable.PositionSize getSpannedDataPosition(IndexSummary.KeyPosition sampledPosition)

### getSpannedIndexPosition

    public IndexSummary.KeyPosition getSpannedIndexPosition(long nextIndexPosition)

### getSpannedDataPosition

    public SSTable.PositionSize getSpannedDataPosition(long nextIndexPosition)

### getLastIndexPosition

    public long getLastIndexPosition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation